# Starter pipeline
# Start with a minimal pipeline that you can customize to build and deploy your code.
# Add steps that build, run tests, deploy, and more:
# https://aka.ms/yaml

trigger:
- main

pool:
  vmImage: ubuntu-latest

variables:
  fName: 'Cohesity-Package'
  pyEnv: $(System.DefaultWorkingDirectory)/python

steps:
- task: ArchiveFiles@2
  inputs:
    rootFolderOrFile: '$(System.DefaultWorkingDirectory)'
    includeRootFolder: false
    archiveType: 'zip'
    archiveFile: '$(Build.ArtifactStagingDirectory)/$(Build.BuildId).zip'
    replaceExistingArchive: true
- task: rename@0
  inputs:
    Command: 'rename'
    SourceFile: '$(Build.ArtifactStagingDirectory)/$(Build.BuildId).zip'
    NewName: '$(fName).zip'

- upload: $(Build.ArtifactStagingDirectory)/$(fName).zip
  displayName: 'Upload Package'
  artifact: drop
